Date: Fri, 17 Apr 1998 00:13:13 +0200 (MET DST)
From: Geert Uytterhoeven <geert@thomas.kotnet.org>
To: Jan Uerpmann <J.Uerpmann@tu-bs.de>, Jes Soerensen <Jes.Sorensen@cern.ch>
cc: Linux/m68k <linux-m68k@lists.linux-m68k.org>
Subject: L68K: Re: Prelude Soundcard
In-Reply-To: <yam7409.2094.141508344@rzcomm1.rz.tu-bs.de>
Sender: owner-linux-m68k@phil.uni-sb.de

On Wed, 15 Apr 1998, Jan Uerpmann wrote:
>I have found an unknown board:
>
>[4231:01] (Z2, 64K) Prelude Soundcard made by ACT

Thanks!

Here's the patch (for 2.1.90 and 2.0.33):

--- m68k-2.1.90/arch/m68k/amiga/zorro.c.orig	Tue Mar 24 19:41:37 1998
+++ m68k-2.1.90/arch/m68k/amiga/zorro.c	Fri Apr 17 00:06:44 1998
@@ -659,6 +659,10 @@
     PROD("RAM/ROM", MISC, UWE_GERLACH_RAM_ROM)
 END
 
+BEGIN_PROD(ACT)
+    PROD("Prelude", AUDIO, ACT_PRELUDE)
+END
+
 BEGIN_PROD(MACROSYSTEMS_GERMANY)
     PROD("Maestro", AUDIO, MACROSYSTEMS_MAESTRO)
     PROD("VLab", VIDEO, MACROSYSTEMS_VLAB)
@@ -806,6 +810,7 @@
     MANUF("Apollo", APOLLO_3)
     MANUF("Petsoff LP", PETSOFF_LP)
     MANUF("Uwe Gerlach", UWE_GERLACH)
+    MANUF("ACT", ACT)
     MANUF("MacroSystems Germany", MACROSYSTEMS_GERMANY)
     MANUF("Combitec", COMBITEC)
     MANUF("SKI Peripherals", SKI_PERIPHERALS)
--- m68k-2.1.90/include/linux/zorro.h.orig	Wed Mar 25 21:24:41 1998
+++ m68k-2.1.90/include/linux/zorro.h	Fri Apr 17 00:05:06 1998
@@ -577,6 +577,9 @@
 #define ZORRO_MANUF_UWE_GERLACH					0x3FF7
 #define  ZORRO_PROD_UWE_GERLACH_RAM_ROM				ZORRO_ID(UWE_GERLACH, 0xd4, 0)
 
+#define ZORRO_MANUF_ACT						0x4231
+#define  ZORRO_PROD_ACT_PRELUDE					ZORRO_ID(ACT, 0x01, 0)
+
 #define ZORRO_MANUF_MACROSYSTEMS_GERMANY			0x4754
 #define  ZORRO_PROD_MACROSYSTEMS_MAESTRO			ZORRO_ID(MACROSYSTEMS_GERMANY, 0x03, 0)
 #define  ZORRO_PROD_MACROSYSTEMS_VLAB				ZORRO_ID(MACROSYSTEMS_GERMANY, 0x04, 0)
--- m68k-2.0.33/arch/m68k/amiga/zorro.c.orig	Mon Dec 22 22:09:14 1997
+++ m68k-2.0.33/arch/m68k/amiga/zorro.c	Fri Apr 17 00:11:02 1998
@@ -571,6 +571,10 @@
    PROD("RAM/ROM", UG_RAM_ROM)
 END
 
+BEGIN_PROD(ACT)
+   PROD("Prelude Sound Board", PRELUDE)
+END
+
 BEGIN_PROD(MACROSYSTEMS2)
    PROD("Maestro", MAESTRO)
    PROD("VLab", VLAB)
@@ -685,6 +689,7 @@
    MANUF("Apollo", APOLLO2)
    MANUF("Apollo", APOLLO)
    MANUF("Petsoff LP", PETSOFF)
+   MANUF("ACT", ACT)
    MANUF("Uwe Gerlach", UWE_GERLACH)
    MANUF("MacroSystems", MACROSYSTEMS2)
    MANUF("Combitec", COMBITEC)
--- m68k-2.0.33/include/asm-m68k/zorro.h.orig	Mon Dec 22 22:09:33 1997
+++ m68k-2.0.33/include/asm-m68k/zorro.h	Fri Apr 17 00:10:21 1998
@@ -433,6 +433,9 @@
 #define MANUF_UWE_GERLACH      (0x3FF7)	/* Uwe Gerlach */
 #define PROD_UG_RAM_ROM        (0xd4)	/* RAM/ROM */
 
+#define MANUF_ACT              (0x4231)	/* ACT */
+#define PROD_PRELUDE           (0x01)	/* Prelude Sound Board */
+
 #define MANUF_MACROSYSTEMS2    (0x4754)	/* MacroSystems Germany */
 #define PROD_MAESTRO           (0x03)	/* Maestro */
 #define PROD_VLAB              (0x04)	/* VLab */

Greetings,

						Geert

--
Geert Uytterhoeven                    Geert.Uytterhoeven@thomas.kotnet.org
Linux/{m68k~Amiga,ppc~CHRP}, Wavelets http://www.cs.kuleuven.ac.be/~geert/
KotNET@Thomas Network Administration -- Make your bed part of Cyberspace!!


